Name: redshift
Version: 1.3
Release: 1%{dist}
Summary: Adjusts the color temperature of your screen according to time of day
Group: Applications/System
License: GPLv3
URL: http://jonls.dk/redshift/
Source0: http://launchpad.net/redshift/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gettext
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
BuildRequires: pkgconfig

%description
Redshift adjusts the color temperature of your screen according to your
surroundings. This may help your eyes hurt less if you are working in
front of the screen at night.

The color temperature is set according to the position of the sun. A
different color temperature is set during night and daytime. During
twilight and early morning, the color temperature transitions smoothly
from night to daytime temperature to allow your eyes to slowly
adapt.

This package provides the base program.

%package -n gtk-%{name}
Summary: GTK integration for Redshift
Group: Applications/System
BuildRequires: python
Requires: pygtk2
Requires: redshift

%description -n gtk-%{name}
This package provides GTK integration for Redshift, a screen color 
temperature adjustment program.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%post -n gtk-%{name}
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n gtk-%{name}
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n gtk-%{name}
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/redshift

%files -n gtk-%{name}
%defattr(-,root,root,-)
%{_bindir}/gtk-redshift
%{python_sitelib}/*
%{_datadir}/icons/hicolor/scalable/apps/redshift.svg

%changelog
* Thu Jun 10 2010 Milos Komarcevic <kmilos@gmail.com> - 1.3-1
- Initial packaging
